Bug 248719 - net-im/py-matrix-synapse: Update to 1.19.0
Summary: net-im/py-matrix-synapse: Update to 1.19.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-08-18 09:20 UTC by Sascha Biberhofer
Modified: 2020-09-21 22:37 UTC (History)
2 users (show)

See Also:


Attachments
net-im/py-matrix-synapse: patch from 1.18.0 to 1.19.0 (2.21 KB, patch)
2020-08-18 09:20 UTC, Sascha Biberhofer
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2020-08-18 09:20:06 UTC
Created attachment 217301 [details]
net-im/py-matrix-synapse: patch from 1.18.0 to 1.19.0

This patch updates net-im/py-matrix-synapse from 1.18.0 to 1.19.0. From a ports perspective, the patch is a simple version bump while syncing the dependency changes with upstream, thus removing the dependency on py-daemonize (which is now handled by synapse itself) and bumping the py-canonicaljson dependency to 1.2.0. A full changelog is available at [1].


portlint: "OK" (3 Warnings, none new)
testport: OK (poudriere: 121amd64)
do-test: OK (Ran 1136 tests in 372.799s, PASSED (skips=5, successes=1131))

I've tested the resulting package on my own homeserver too and things have been running fine. :)

Cheers,
Sascha

[1] https://github.com/matrix-org/synapse/releases/tag/v1.19.0
Comment 1 Automation User 2020-08-18 10:41:50 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/179084946
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-18 11:13:40 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first
Comment 3 commit-hook freebsd_committer 2020-08-19 08:51:16 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Aug 19 08:50:57 UTC 2020
New revision: 545291
URL: https://svnweb.freebsd.org/changeset/ports/545291

Log:
  net-im/py-matrix-synapse: Update to 1.19.0

  PR:		248719
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

Changes:
  head/net-im/py-matrix-synapse/Makefile
  head/net-im/py-matrix-synapse/distinfo
Comment 4 commit-hook freebsd_committer 2020-09-21 22:37:38 UTC
A commit references this bug:

Author: dbaio
Date: Mon Sep 21 22:36:35 UTC 2020
New revision: 549534
URL: https://svnweb.freebsd.org/changeset/ports/549534

Log:
  MFH: r542468 r544604 r545291 r549046

  net-im/py-matrix-synapse: update to 1.17.0

  PR:		248016
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

  net-im/py-matrix-synapse: Update to 1.18.0

  PR:		248566
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

  net-im/py-matrix-synapse: Update to 1.19.0

  PR:		248719
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

  net-im/py-matrix-synapse: Update to 1.19.3

  Changelog:	https://github.com/matrix-org/synapse/blob/v1.19.3/CHANGES.md

  PR:		249375
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)
  Event:		September 2020 Bugathon

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/net-im/py-matrix-synapse/Makefile
  branches/2020Q3/net-im/py-matrix-synapse/distinfo
  branches/2020Q3/net-im/py-matrix-synapse/files/patch-python_dependencies.py
  branches/2020Q3/net-im/py-matrix-synapse/files/patch-synapse_python__dependencies.py